@extends('admin.layout.master')
@section('title', 'تعديل البنك')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تعديل البنك</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('banks.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم البنك باللغة العربية</label>
                                <input type="text" class="form-control" value="{{$row->bank_name['ar']}}" required
                                       name="bank_name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة العربية">
                                @if ($errors->has('bank_name_ar'))
                                    <small class="text-danger">{{ $errors->first('bank_name_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم البنك باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="{{$row->bank_name['en']}}" required
                                       name="bank_name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة الإنجليزية">
                                @if ($errors->has('bank_name_en'))
                                    <small class="text-danger">{{ $errors->first('bank_name_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم الحساب</label>
                                <input type="text" class="form-control" value="{{$row->account_name}}" required
                                       name="account_name"
                                       id="exampleInputEmail1"
                                       placeholder="إسم الحساب">
                                @if ($errors->has('account_name'))
                                    <small class="text-danger">{{ $errors->first('account_name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الحساب</label>
                                <input type="number" min="0" class="form-control" value="{{$row->account_number}}"
                                       required
                                       name="account_number"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الحساب">
                                @if ($errors->has('account_number'))
                                    <small class="text-danger">{{ $errors->first('account_number') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الأيبان</label>
                                <input type="number" min="0" class="form-control" value="{{$row->iban_number}}"
                                       required
                                       name="iban_number"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الأيبان">
                                @if ($errors->has('iban_number'))
                                    <small class="text-danger">{{ $errors->first('iban_number') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active" @if($row->status == 'active') selected @endif>مفعل</option>
                                    <option value="not_active" @if($row->status == 'not_active') selected @endif>غير
                                        مفعل
                                    </option>
                                </select>
                            </div>
                            @if ($errors->has('status'))
                                <small class="text-danger">{{ $errors->first('status') }}</small>
                            @endif
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">

                                        <h4 class="header-title mb-4">صورة البنك</h4>

                                        <input type="file" name="image"  class="dropify"
                                               data-default-file="{{$row->image}}" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                            </div>
                            @if ($errors->has('image'))
                                <small class="text-danger">{{ $errors->first('image') }}</small>
                            @endif
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
