@extends('admin.layout.master')
@section('title', "عرض المنتج")
@section('content')
    <style>
        .col-marge .col-xl-3 {
            margin-bottom: 15px;
        }
    </style>

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">عرض منتج {{$row->title}}</h4>
            </div>
        </div>
    </div>



    <div class="row">
        <div class="col-md-12">
            <div class="card-box">

                <h3 class="header-title mb-4">تفاصيل المنتج</h3>

                <div class="row">
                    <div class="col-xl-12">
                        <p>{{$row->detail}}</p>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card-box col-marge">
                <h3 class="header-title mb-4">خصائص المنتج</h3>
                <div class="row">

                    <div class="col-xl-3">
                        <span>التصنيف :</span>
                        <span> {{$row->category_id ? $row->category->name['ar'] : 'غير مصنف'}}</span>
                    </div><!-- end col -->

                    <div class="col-xl-3">
                        <span>المكان :</span>
                        <span> {{$row->city_id ? $row->city->name['ar'] : 'غير محدد'}}</span>
                    </div><!-- end col -->

                    <div class="col-xl-3">
                        <span>رقم الجوال :</span>
                        <span> {{$row->mobile ? $row->mobile : 'غير محدد'}}</span>
                    </div><!-- end col -->

                    <div class="col-xl-3">
                        <span>اظهار الجوال :</span>
                        <span> {{$row->hide_mobile == 'true' ? 'اخفاء' : 'اظهار'}}</span>
                    </div><!-- end col -->

                    @if($row->ad_type)
                        <div class="col-xl-3">
                            <span>نوع الاعلان  :</span>
                            <span> {{$row->ad_type == 'buy' ? 'شراء' : 'تنازل'}}</span>
                        </div><!-- end col -->
                    @endif

                    @if($row->year)
                        <div class="col-xl-3">
                            <span>سنة الصنع :</span>
                            <span> {{$row->year }}</span>
                        </div><!-- end col -->
                    @endif

                    @if($row->car_status)
                        <div class="col-xl-3">
                            <span>سنة الصنع :</span>
                            <span> @if($row->car_status == 'used') مستعمل @elseif($row->car_status == 'accident')
                                    حادثة @else جديده @endif</span>
                        </div><!-- end col -->
                    @endif


                    @if($row->installment_destination)
                        <div class="col-xl-3">
                            <span>وجهة التقسيط :</span>
                            <span> {{$row->installment_destination }}</span>
                        </div><!-- end col -->
                    @endif

                    @if($row->installment_destination)
                        <div class="col-xl-3">
                            <span>وجهة التقسيط :</span>
                            <span> {{$row->installment_destination }}</span>
                        </div><!-- end col -->
                    @endif

                    @if($row->fetis)
                        <div class="col-xl-3">
                            <span>نوع الفتيس :</span>
                            <span> {{$row->fetis }}</span>
                        </div><!-- end col -->
                    @endif

                    @if($row->fuel)
                        <div class="col-xl-3">
                            <span>نوع الوقود :</span>
                            <span> {{$row->fuel }}</span>
                        </div><!-- end col -->
                    @endif

                    @if($row->double)
                        <div class="col-xl-3">
                            <span>دبل :</span>
                            <span> {{$row->double == 'true' ? 'نعم'  : 'لا' }}</span>
                        </div><!-- end col -->
                    @endif

                    <div class="col-xl-3">
                        <span> السعر :</span>
                        <span> {{$row->price}} ربال</span>
                    </div><!-- end col -->

                    @if($row->determine_price)
                        <div class="col-xl-3">
                            <span>تحديد السعر :</span>
                            <span> {{$row->determine_price == 'true' ? 'نعم' : 'لا'}}</span>
                        </div><!-- end col -->
                    @endif

                    <div class="col-xl-3">
                        <span>عدد المشاهدات :</span>
                        <span> {{$row->views ? $row->views : 0}}</span>
                    </div><!-- end col -->

                    <div class="col-xl-3">
                        <span>الحالة :</span>
                        <span> {{$row->status == 'false' ? 'غير مفعل' : 'مفعل'}}</span>
                    </div><!-- end col -->

                </div><!-- end row -->
            </div>
        </div><!-- end col -->

    </div>

    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">صور المنتج</h4>
                <div class="row">
                    @foreach(\App\Models\ProductImage::where('product_id', $row->id)->get() as $image)
                        <div class="col-md-6 col-xl-4 natural personal">
                            <div class="gallery-box">
                                <a href="{{$image->image}}" class="image-popup" title="Screenshot-1">
                                    <img src="{{$image->image}}" class="thumb-img img-fluid"
                                         alt="work-thumbnail">
                                </a>
                            </div>
                        </div>
                    @endforeach

                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>




    <div class="row">
        <div class="col-12">
            <div class="card-box">
                @include('admin.layout.message')

                <h4 class="header-title">التعليقات</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('products.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الاسم</th>
                        <th>التعليق</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($row->comments as $comment)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$comment->user->name}}</td>
                            <td>{{$comment->body }}</td>
                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$comment->id}}">حذف
                                </button>

                                <div id="myModal{{$comment->id}}" class="modal fade" tabindex="-1" role="dialog"
                                     aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title"
                                                    id="myModalLabel">حذف العنصر</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">×
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <h5 class="font-16">هل تريد الحذف ؟</h5>

                                            </div>
                                            <div class="modal-footer">
                                                <form method="post" enctype="multipart/form-data"
                                                      action="{{route('destroy_comment',$comment->id)}}">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="button" class="btn btn-light waves-effect"
                                                            data-dismiss="modal">إلغاء
                                                    </button>
                                                    <button type="submit"
                                                            class="btn btn-danger waves-effect waves-light">حذف
                                                    </button>
                                                </form>
                                            </div>
                                        </div><!-- /.modal-content -->
                                    </div><!-- /.modal-dialog -->
                                </div><!-- /.modal -->

                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->


@endsection
