<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\CountryCodes;
use Illuminate\Http\Request;

class CountryCodesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $rows = CountryCodes::orderByDesc('id')->get();
        return  view('admin.country_codes.index',compact('rows'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.country_codes.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request,[
            'code'=>'required',
            'country_ar'=>'required',
            'country_en'=>'required'
        ]);
        $code = new CountryCodes();
        $code['code'] = $request['code'];
        $code['country->ar'] = $request['country_ar'];
        $code['country->en'] = $request['country_en'];
        $code->save();
        return  redirect()->route('country_codes.index')->with('message','تم الإضافة بنجاح');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = CountryCodes::find($id);
        return  view('admin.country_codes.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request,[
            'code'=>'required',
            'country_ar'=>'required',
            'country_en' => 'required'
         ]);
        $code = CountryCodes::find($id);
        $code['code'] = $request['code'];
        $code['country->ar'] = $request['country_ar'];
        $code['country->en'] = $request['country_en'];
        $code->update();
        return  redirect()->route('country_codes.index')->with('message','تم التعديل بنجاح');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        CountryCodes::destroy($id);
        return  redirect()->back()->with('message','تم الحذف بنجاح');
    }
}
