<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Http\Resources\MessagesResource;
use App\Models\Room;
use App\Models\Message;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class MessagesController extends Controller
{

    protected $users_result;

    public function search_rooms(Request $request)
    {
        if ($request->user_name) {
//            $user = \Auth::user();
//            $check = Room::where(['sender_id' => $id, 'receiver_id' => $user->id])->orWhere(['sender_id' => $user->id, 'receiver_id' => $id])->first();
            $users_in = User::where('name', 'like', "%$request->user_name%")->where('status', 'active')->where('id', '!=', \Auth::user()->id)->pluck('id');
            $this->users_result = $users_in;
            $rooms = Room::where(function ($query) {
                $query->where('receiver_id', \Auth::user()->id);
                $query->whereIn('sender_id', $this->users_result);
            })->orWhere(function ($query) {
                $query->where('sender_id', \Auth::user()->id);
                $query->whereIn('receiver_id', $this->users_result);
            })->get();
            $view_rooms = view('web.messages.rooms', compact('rooms'))->render();
            return response()->json(['html' => $view_rooms]);
        } else {
            $sender = Room::where('sender_id', '=', \Auth::user()->id)->orderByDesc('created_at')->get();
            $receiver = Room::where('receiver_id', '=', \Auth::user()->id)->has('messages')->orderByDesc('created_at')->get();
            $rooms = $sender->merge($receiver);
            $view_rooms = view('web.messages.rooms', compact('rooms'))->render();
            return response()->json(['html' => $view_rooms]);
        }
    }

    public function messages(Request $request, $id = null)
    {
        $user = \Auth::user();
        if ($id != null) {
            $check = Room::where(['sender_id' => $id, 'receiver_id' => $user->id])->orWhere(['sender_id' => $user->id, 'receiver_id' => $id])->first();
            if (!$check) {
                $room_in = new Room();
                $room_in->sender_id = $user->id;
                $room_in->receiver_id = $id;
                $room_in->name = uniqid();
                $room_in->status = 'open';
                $room_in->save();
            }
        }
        $sender = Room::where('sender_id', '=', $user->id)->orderByDesc('created_at')->get();
        $receiver = Room::where('receiver_id', '=', $user->id)->has('messages')->orderByDesc('created_at')->get();
        $rooms = $sender->merge($receiver);
        if ($rooms->count() > 0) {
            $messages = Message::where('room_id', $rooms[0]['id'])->get();
        } else {
            $messages = [];
        }
        if (isset($room_in)) {
            return view('web.messages.all_chat', compact('rooms', 'messages', 'room_in'));
        } else {
            $room_in = null;
            return view('web.messages.all_chat', compact('rooms', 'messages', 'room_in'));
        }
    }

//    public function all_rooms(Request $request)
//    {
//
//        return view('web.messages.rooms', compact('data'));
//    }

    public function send_message(Request $request)
    {
        $user = \Auth::user();
        $sender = Room::where('sender_id', '=', $user->id)->orderByDesc('created_at')->get();
        $receiver = Room::where('receiver_id', '=', $user->id)->has('messages')->orderByDesc('created_at')->get();
        $rooms = $sender->merge($receiver);
        $room = Room::find($request->room_id);
        $sms = $request->message;
        if ($sms != null) {
            $message = new Message();
            $message->body = $sms;
            $message->room_id = $room->id;
            $message->sender_id = $user->id;
            $message->receiver_id = $user->id == $room->sender->id ? $room->receiver->id : $room->sender->id;
            $message->save();
        }

        $messages = MessagesResource::collection($room->messages);
        $view_messages = view('web.messages.chat', compact('messages'))->render();
        $view_rooms = view('web.messages.rooms', compact('rooms'))->render();
        return response()->json(['html_messages' => $view_messages, 'html_rooms' => $view_rooms]);

    }

//    public function all_messages(Request $request)
//    {
//        $room = Room::find($request->room_id);
//        $messages = MessagesResource::collection($room->messages);
//        $view = view('web.messages.chat', compact('messages'))->render();
//        return response()->json(['html' => $view]);
//    }


}
