<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Message extends Model
{
    protected $table = 'messages';
    protected $fillable = ['sender_id', 'receiver_id', 'body', 'room_id'];

    public function receiver()
    {
        return $this->belongsTo(User::class, 'sender_id');
    }

    public function sender()
    {
        return $this->belongsTo(User::class, 'receiver_id');
    }

    public function room()
    {
        return $this->belongsTo(Room::class, 'room_id');
    }
}
