@extends('web.layouts.master')
@section('contents')


    <div class="modal fade" id="evaluate-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <!-- Modal body -->
                <div class="modal-body">
                    <div class="login-form text-center row">
                        <div class="col-md-7 right-modal-grid evaluate-grid">
                            <div class="right-modal">
                                <h4 class="modal-title main-color">مرحبا</h4>
                                <p class="right">اضافة تقييم ل <span
                                        class="main-color">{{$user->name ? $user->name : $user->mobile}}</span></p>
                                <p class="right note">نرجو الدقة في التقييم حتى يتم قبول التقييم من المشرف</p>
                                <form method="post" action="{{route('rate_user')}}" class="needs-validation row"
                                      novalidate>
                                    @csrf
                                    <div class="form-group col-12">
                                        <div class="check-form-div">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" required name="covenant"
                                                       class="custom-control-input"
                                                       id="covenant">
                                                <label class="custom-control-label" for="covenant">
                                                    أتعهد و أقسم بالله أنني قمت بشراء سلعة من العضو
                                                    <span>{{$user->name ? $user->name : $user->mobile}}</span> و أن
                                                    المعلومات التي أقدمها هى معلومات
                                                    صحيحة ودقيقة و أتحمل مسؤولية صحة هذه المعلومات
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <input type="hidden" name="user_mobile" value="{{$user->mobile}}">

                                    <div class="form-group col-12">
                                        <p class="right label">هل تنصح الأعضاء الاخرين بالتعامل مع البائع <span
                                                class="main-color">{{$user->name ? $user->name : $user->mobile}}</span>؟
                                        </p>
                                        <ul class="row list list-unstyled">
                                            <li class="col-12 list-option">
                                                <input type="radio" class="radio-btn" value="good" name="type"
                                                       id="a-opt1">
                                                <label for="a-opt1" class="label">
                                                    <p class="op-name">
                                                        نعم, أنصح الأعضاء بالتعامل معه
                                                    </p>
                                                </label>
                                            </li>
                                            <li class="col-12 list-option">
                                                <input type="radio" class="radio-btn" value="bad" name="type"
                                                       id="a-opt2">
                                                <label for="a-opt2" class="label">
                                                    <p class="op-name">
                                                        لا, لا أنصح الأعضاء بالتعامل معه
                                                    </p>
                                                </label>
                                            </li>
                                        </ul>
                                    </div>

                                    <div class="form-group col-12">
                                            <textarea class="form-control"
                                                      placeholder="نرجو ذكر تجربتك في التعامل مع البائع مع ذكر السلعة"
                                                      name="details" required>
                                                </textarea>
                                        <div class="invalid-feedback">
                                            الرجاء عدم ترك الحقل فارغ
                                        </div>
                                    </div>
                                    <div class="form-group col-12">
                                        <p class="right label">هل قمت بالشراء من العضو ؟</p>
                                        <ul class="row list list-unstyled">
                                            <li class="col-12 list-option">
                                                <input type="radio" class="radio-btn" value="true" name="buy_before"
                                                       id="b-opt1">
                                                <label for="b-opt1" class="label">
                                                    <p class="op-name">
                                                        نعم, تم الشراء
                                                    </p>
                                                </label>
                                            </li>
                                            <li class="col-12 list-option">
                                                <input type="radio" class="radio-btn" value="false" name="buy_before"
                                                       id="b-opt2">
                                                <label for="b-opt2" class="label">
                                                    <p class="op-name">
                                                        لا, لا لم اشتري من العضو
                                                    </p>
                                                </label>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-main btn-hover full-width-btn">ارسال
                                            التقييم
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="col-md-5 left-modal-grid">
                            <div class="left-modal">
                                <img src="{{$setting->site_logo}}" alt="logo"/>
                                <button type="button" class="btn btn-close" data-dismiss="modal"><i
                                        class="fa fa-times"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!--end popup-->

    <!-- start page title -->
    <section class="page-title">
        <div class="container">
            <h3 class="main-title">بيانات المستخدم</h3>
        </div>
    </section>
    <!-- end page title -->

    <!-- start brands  -->
    <section class="filter-block all-brands white-bg">
        <div class="container">
            <div class="all-profile grey-bg">
                <div class="row">
                    <div class="col-md-5 col-lg-4">
                        <h3 class="title wow fadeInDown">بيانات المستخدم</h3>

                        <div class="nav-pills wow fadeInUp">
                            {{--                            <a href="#" class="share-icon" title="مشاركة"><i class="fa fa-share-alt"></i></a>--}}
                            <form action="">
                                <div class="form-group">
                                    <div class="avatar-upload">
                                        <div class="avatar-edit">
                                            {{--                                            <input type="file" id="imageUpload" accept=".png, .jpg, .jpeg" />--}}
                                            {{--                                            <label for="imageUpload"></label>--}}
                                        </div>
                                        <div class="avatar-preview">
                                            <div id="imagePreview"
                                                 @if ($user->image) style="background-image: url({{asset("images/users/".$user->image)}});"
                                                 @else style="background-image: url({{asset("images/users/default.jpg")}});" @endif></div>
                                        </div>
                                    </div>
                                </div>
                                {{--                                <button class="btn btn-main btn-hover btn-hidden">حفظ</button>--}}
                            </form>
                            <div class="user">
                                <h4 class="name">{{$user->name ? $user->name : $user->mobile}}</h4>

                            @if($user->online == 'true')
                                <!-- if active now -->

                                    <p class="status active">
                                        <span class="active"></span>
                                        <span class="text">متصل الان</span>
                                    </p>
                            @else

                                <!-- if not active -->
                                    <p class="status not-active">
                                        <span class="not-active"></span>
                                        <span class="text">غير متصل</span>
                                    </p>


                                @endif
                                <div class="following-list">
                                    <a href="{{route('messages', $user->id)}}" class="btn following-link">
                                        <span class="icon"><img src="{{asset('web/img/dynamic/icons/mail.png')}}"
                                                                alt="mail"></span>
                                        <span class="text">مراسلة سريعة</span>
                                    </a>
                                    <a onclick="follow_user({{$user->mobile}})" class="btn following-link">
                                        <span class="icon"><img src="{{asset('web/img/dynamic/icons/follow.png')}}"
                                                                alt="follow"></span>
                                        <span id="follow_status" class="text">
                    @if(\Auth::check())
                                                @if(\App\Models\Follower::where(['user_id'=>\Auth::user()->id,'follower_id'=>$user->id])->first())
                                                    إلغاء المتابعة
                                                @else
                                                    متابعة

                                                @endif
                                            @endif
                                        </span>
                                    </a>
                                </div>
                                <p class="membership">
                                    <span class="text">عضو منذ : </span>
                                    <span class="time">{{$user->created_at->diffForHumans()}}</span>
                                </p>
                            </div>
                            <a class="nav-link full-width-btn" href="#" data-toggle="modal"
                               data-target="#evaluate-modal"><i class="fas fa-thumbs-up"></i> اضافة تقييم</a>
                        </div>
                    </div>
                    <div class="col-md-7 col-lg-8">
                        <div class="main-content">
                            <div class="title wow fadeInDown">
                                <div class="right-grid">
                                    <h3>الاعلانات</h3>
                                </div>
                                <div class="left-grid d-flex">
                                    <div class="round-sh ch-grid">
                                        <img src="{{asset('web/img/dynamic/icons/menu.png')}}" alt="img">
                                    </div>
                                </div>
                            </div>
                            <div class="row grid-cols wow fadeInUp">
                                @foreach($rows as $row)
                                    <div class="col-md-6 col-lg-4">
                                        <div class="card sm">
                                            <div class="card-img-top">
                                                <img
                                                    src="{{(count($row->images) > 0) ? $row->images[0]['image'] : $setting->site_logo}}"
                                                    class=" img-fluid"
                                                    alt="product img">
                                                <div class="card-caption">
                                                    <div class="inner-caption">
                                                        <ul class="list-unstyled list-inline">
                                                            <li class="icon eye">
                                                                <a href="{{route('product.show', $row->code)}}"
                                                                   title="مشاهدة الاعلان"><i
                                                                        class="fa fa-eye"></i>
                                                                </a>
                                                            </li>
                                                            @if(\Auth::check())
                                                                <li onclick="favourite({{$row->id}})"
                                                                    class="icon fav {{\App\Models\Favourite::where(['user_id' => Auth::user()->id, 'product_id' => $row->id])->first() ? 'liked' : ''}}">
                                                        <span
                                                            style="cursor: pointer" title="أضف الى المفضلة"><i
                                                                class="fa fa-heart"></i>
                                                        </span>
                                                                </li>
                                                            @endif
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="card-body">
                                                <h5 class="card-title"><a
                                                        href="{{route('product.show', $row->code)}}">{{$row->title}}</a>
                                                </h5>
                                                <p class="locate">
                                                    <span class="icon"><i class="fas fa-map-marker-alt"></i></span>
                                                    {{$row->city->name[App::getLocale()]}}
                                                </p>
                                                <div class="bottom">
                                                    <p class="owner">
                                                        <span class="icon"><i class="fas fa-user"></i></span>
                                                        {{$row->user->name}}
                                                    </p>
                                                    <p class="time">
                                                <span class="icon">
                                                    <i class="fas fa-clock"></i>
                                                </span>
                                                        {{\Carbon\Carbon::parse($row->created_at)->diffForHumans()}}
                                                    </p>
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                @endforeach
                                {{$rows->links()}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- end brands  -->

@stop

@section('script')

    <script>

        function follow_user(mobile) {

            console.log(mobile);

            $.ajax({

                type: 'POST',

                url: '{{route('follow_user_ajax')}}',

                data: {mobile: mobile},

                success: function (data) {
                    Swal.fire({
                        title: '{{trans('data.success')}}',
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: '{{trans('data.done')}}'
                    });
                    $("#follow_status").html(data.follow_status)

                }

            });

        }

    </script>



@stop
